## calligra 24.12.2+dfsg

=== debian/changelog ===
calligra (1:24.12.2+dfsg-3) unstable; urgency=medium

  * Backport upstream commit 8ba3e637114c5d1a9e18e410c603382a246fb154 to fix
    the <launchable> tags in two AppStream XML metainfo files; patch
    upstream_appstream-fix-launchable-s-of-Sheets-and-Stage.patch.
  * Backport upstream commit 9c23040e41a6e02593bcc5501f9cd39ee248b804 to make
    AppStream ignore calligra.desktop; patch
    upstream_Ignore-calligra.desktop-for-AppStream.patch.
  * Replace patch qsizetype-overload.diff with the upstream commit
    c26259c424210066c19e953a6dda12a4529408a9; patch
    upstream_sheets-fix-conflict-of-Value-int-and-Value-qsizetype.patch.
  * Use the ${shlibs:Depends} substvar in calligra, now that it has
    architecture-specific content.
  * Add a simple upstream/metadata file.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 16 Feb 2025 12:38:49 +0100

calligra (1:24.12.2+dfsg-2) unstable; urgency=medium

  * Change the libqca-qt5-2-plugins recommend to libqca-qt6-plugins, following
    the switch to Qt 6.
  * Switch the calligra binary package to be archiecture-specific, and tighten
    its dependencies with the other binary packages; this is needed to add
    architecture-specific content to it.
  * Move calligralauncher and its files from calligra-libs to the calligra
    binary package, as it depends on all the components
    - add proper breaks/replaces
  * Remove the python, and ruby suggests from calligrasheets, as kross is gone.

 -- Pino Toscano <pino@debian.org>  Mon, 10 Feb 2025 08:33:52 +0100

calligra (1:24.12.2+dfsg-1) unstable; urgency=medium

  [ Aurélien COUDERC]
  * Add lintian overrides for source-missing false positives.
  * Build with hardening=+all build hardening flag.

  [ Pino Toscano ]
  * New upstream release.
  * kdevelop is now part of the KDE release service, so switch the watch file
    to release-service locations.
  * Update the build dependencies following the port to Qt 6:
    - remove libkf5activities-dev, libkf5archive-dev, libkf5akonadi-dev,
      libkf5attica-dev, libkf5calendarcore-dev, libkf5codecs-dev,
      libkf5completion-dev, libkf5config-dev, libkf5configwidgets-dev,
      libkf5contacts-dev, libkf5coreaddons-dev, libkf5dbusaddons-dev,
      libkf5doctools-dev, libkf5guiaddons-dev, libkf5i18n-dev,
      libkf5iconthemes-dev, libkf5itemviews-dev, libkf5jobwidgets-dev,
      libkf5kcmutils-dev, libkf5kdelibs4support-dev, libkf5khtml-dev,
      libkf5kio-dev, libkf5notifications-dev, libkf5notifyconfig-dev,
      libkf5parts-dev, libkf5sonnet-dev, libkf5textwidgets-dev,
      libkf5wallet-dev, libkf5widgetsaddons-dev, libkf5windowsystem-dev,
      libkf5xmlgui-dev, libphonon4qt5-dev, libphonon4qt5experimental-dev,
      libqca-qt5-2-dev, libqt5opengl5-dev, libqt5svg5-dev, libqt5x11extras5-dev,
      qtbase5-dev, qtdeclarative5-dev, and libpoppler-qt5-dev
    - add libkf6archive-dev, libkf6completion-dev, libkf6config-dev,
      libkf6configwidgets-dev, libkf6coreaddons-dev, libkf6crash-dev,
      libkf6dbusaddons-dev, libkf6doctools-dev, libkf6guiaddons-dev,
      libkf6i18n-dev, libkf6iconthemes-dev, libkf6itemviews-dev,
      libkf6jobwidgets-dev, libkf6kcmutils-dev, libkf6kio-dev,
      libkf6notifications-dev, libkf6notifyconfig-dev, libkf6sonnet-dev,
      libkf6textwidgets-dev, libkf6widgetsaddons-dev, libkf6windowsystem-dev,
      libkf6xmlgui-dev, libphonon4qt6-dev, libphonon4qt6experimental-dev,
      libpoppler-qt6-dev, libqca-qt6-dev, qt6-base-dev, and qt6-declarative-dev
  * Update the other build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 6.0.0
    - bump libkchart-dev to 3.0.0 (Closes: #1086480)
    - bump okular-dev to 4:24.04.0
    - bump libpoppler-private-dev to 22.02.0
    - add librevenge-dev, libssl-dev, qtkeychain-qt6-dev, and vc-dev
    - drop no more needed/used directly or indirectly: libboost-system-dev,
      libglib2.0-dev, libkproperty3-dev, libkreport3-dev, libspnav-dev,
      libx11-dev, and libxml2-dev
    - drop libgit2-dev, used only by the disabled Gemini
  * Switch the kf5 dh addon to kf6.
  * Update the patches:
    - upstream_Partial-update-of-Commit-62f51070-to-make-it-compile.patch: drop,
      backported from upstream
    - upstream_Fix-some-more-warnings.patch: drop, backported from upstream
    - upstream_Small-CMake-modernization.patch: drop, backported from upstream
    - upstream_Update-Cmake-and-deps-Fix-Freetype-and-FontConfig-Li.patch: drop,
      backported from upstream
    - upstream_Remove-old-std-c-11-setting-for-Vc.patch: drop, backported from
      upstream
    - upstream_Fix-compile-with-newer-versions-of-poppler.patch: drop,
      backported from upstream
    - upstream_Fix-compile-with-poppler-2405-or-higher.patch: drop, backported
      from upstream
    - upstream_Raise-minimum-poppler-version-to-0.83.0-cleaning-up-.patch: drop,
      backported from upstream
    - upstream_PdfImport-Fix-compile-with-newer-poppler.patch: drop, backported
      from upstream
    - upstream_PdfImport-Fix-compile-with-newer-poppler_2.patch: drop,
      backported from upstream
    - upstream_SvgOutputDev-Fix-ifdef-version-for-getFont-API-chang.patch: drop,
      backported from upstream
    - upstream_Make-KF5Kross-optional.patch: drop, backported from upstream
  * CI: temporarily disable the i386 build, as poppler-qt6 is not available
    there.
  * Drop -Wno-deprecated -Wno-deprecated-declarations from the CXXFLAGS,
    as there should be no more (or very few) deprecation warnings now.
  * Update install files. (Closes: #1091140)
  * Drop calligra-gemini, and calligra-gemini-data, as Gemini is hard disabled
    upstream. (Closes: #901432)
  * Stop enabling the "unmaintained products" (i.e. currently Braindump):
    considering how they are marked, and the fact that they are disabled by
    default, then it is a better idea to not enable them at all
    - drop the -DCALLIGRA_SHOULD_BUILD_UNMAINTAINED=ON cmake argument

