=== plugins/textediting/autocorrection/data/nl_NL/CMakeLists.txt ===
install(FILES nl_NL.xml DESTINATION ${KDE_INSTALL_DATADIR}/calligra/autocorrect)
